Steam Community :: Resident Evil 2

An upgrade patch will be releasing soon and system requirements will also be updated.

【Update on system requirements】
The system requirements will change with the arrival of the upgrade patch. The new minimum requirements are listed below alongside the previous specifications no longer supported under this upgrade patch.

Minimum requirements:
■OS
Before:WINDOWS® 7, 8.1, 10 (64-BIT Required)
After:WINDOWS® 10 (64-BIT Required)

■DirectX
Before:Version 11
After:Version 12

■Graphics
Before:
NVIDIA® GeForce® GeForce GTX 760
or AMD Radeon™ R7 260x
After:
NVIDIA® GeForce® GeForce GTX 960
or AMD Radeon™ RX 460

Leave a Comment